<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="isTwoStep"
            type="Boolean" />

        <variable
            name="onAgreeClickListener"
            type="android.view.View.OnClickListener" />


        <variable
            name="onStepAgreeClickListener"
            type="android.view.View.OnClickListener" />

        <variable
            name="onStepOneDisagreeClickListener"
            type="android.view.View.OnClickListener" />

        <variable
            name="onStepTwoDisagreeClickListener"
            type="android.view.View.OnClickListener" />


    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:background="@color/black70">


        <androidx.constraintlayout.widget.ConstraintLayout
            isGone="@{isTwoStep}"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_percent="0.7777777777777778">

            <Space
                android:id="@+id/space_one_1"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="360:24"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:id="@+id/v_one_step_bg"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:background="@drawable/bg_dialog_bg"
                app:layout_constraintBottom_toBottomOf="@+id/space_one_5"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@+id/space_one_1"
                app:layout_constraintWidth_percent="0.7777777777777778" />

            <TextView
                android:id="@+id/tv_one_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/agreement_privacy_policy"
                android:textColor="#202020"
                android:textSize="15sp"
                android:textStyle="bold"
                app:layout_constraintEnd_toEndOf="@+id/v_one_step_bg"
                app:layout_constraintStart_toStartOf="@+id/v_one_step_bg"
                app:layout_constraintTop_toBottomOf="@+id/space_one_1" />

            <Space
                android:id="@+id/space_one_2"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="360:16"
                app:layout_constraintTop_toBottomOf="@+id/tv_one_title" />


            <TextView
                android:id="@+id/tv_one_content"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:textColor="#404040"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="@+id/v_one_step_bg"
                app:layout_constraintStart_toStartOf="@id/v_one_step_bg"
                app:layout_constraintTop_toBottomOf="@+id/space_one_2"
                app:layout_constraintWidth_percent="0.6444444444444444"
                tools:text="欢迎使用文件恢复大师！
在开始之前，请花一些时间仔细阅读《用户协议》和《隐私政策》。这些文件描述了您与我们之间的权利和义务，以及我们收集、使用和保护您的个人信息的方式，我们建议您阅读用户协议和隐私政策，以确保理解您的权益和我们的责任，只有在您理解并同意协议和政策内容后，才能继续使用我们的服务。" />

            <Space
                android:id="@+id/space_one_3"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="360:12"
                app:layout_constraintTop_toBottomOf="@+id/tv_one_content" />

            <TextView
                android:id="@+id/tv_one_agree"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:background="@drawable/bg_common_btn"
                android:gravity="center"
                android:onClick="@{onAgreeClickListener}"
                android:text="@string/agreement_agree"
                android:textColor="@color/white"
                android:textSize="14sp"
                android:textStyle="bold"
                app:layout_constraintDimensionRatio="150:36"
                app:layout_constraintEnd_toEndOf="@id/v_one_step_bg"
                app:layout_constraintStart_toStartOf="@id/v_one_step_bg"
                app:layout_constraintTop_toBottomOf="@+id/space_one_3"
                app:layout_constraintWidth_percent="0.4166666666666667" />


            <Space
                android:id="@+id/space_one_4"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="360:14"
                app:layout_constraintTop_toBottomOf="@+id/tv_one_agree" />

            <TextView
                android:id="@+id/tv_one_disagree"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:onClick="@{onStepOneDisagreeClickListener}"
                android:text="@string/agreement_disagree"
                android:textColor="#404040"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="@id/v_one_step_bg"
                app:layout_constraintStart_toStartOf="@id/v_one_step_bg"
                app:layout_constraintTop_toBottomOf="@+id/space_one_4" />

            <Space
                android:id="@+id/space_one_5"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="360:16"
                app:layout_constraintTop_toBottomOf="@+id/tv_one_disagree" />


        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            isGone="@{!isTwoStep}"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_percent="0.7777777777777778">

            <Space
                android:id="@+id/space_two_1"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="360:24"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:id="@+id/v_two_step_bg"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:background="@drawable/bg_dialog_bg"
                app:layout_constraintBottom_toBottomOf="@+id/space_two_4"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@+id/space_two_1"
                app:layout_constraintWidth_percent="0.7777777777777778" />

            <TextView
                android:id="@+id/tv_two_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/agreement_kind_tips"
                android:textColor="#202020"
                android:textSize="15sp"
                android:textStyle="bold"
                app:layout_constraintEnd_toEndOf="@+id/v_two_step_bg"
                app:layout_constraintStart_toStartOf="@+id/v_two_step_bg"
                app:layout_constraintTop_toBottomOf="@+id/space_two_1" />

            <Space
                android:id="@+id/space_two_2"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="360:16"
                app:layout_constraintTop_toBottomOf="@+id/tv_two_title" />


            <TextView
                android:id="@+id/tv_two_content"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:text="@string/agreement_two_step_content"
                android:textColor="#404040"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="@+id/v_two_step_bg"
                app:layout_constraintStart_toStartOf="@id/v_two_step_bg"
                app:layout_constraintTop_toBottomOf="@+id/space_two_2"
                app:layout_constraintWidth_percent="0.6444444444444444" />

            <Space
                android:id="@+id/space_two_3"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="360:36"
                app:layout_constraintTop_toBottomOf="@+id/tv_two_content" />

            <TextView
                android:id="@+id/tv_two_agree"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:background="@drawable/bg_agreement_disagree"
                android:gravity="center"
                android:onClick="@{onStepTwoDisagreeClickListener}"
                android:text="@string/agreement_exit"
                android:textColor="@color/white"
                android:textSize="14sp"
                android:textStyle="bold"
                app:layout_constraintDimensionRatio="110:36"
                app:layout_constraintLeft_toLeftOf="@id/v_two_step_bg"
                app:layout_constraintRight_toLeftOf="@+id/tv_two_disagree"
                app:layout_constraintTop_toBottomOf="@+id/space_two_3"
                app:layout_constraintWidth_percent="0.3055555555555556" />


            <TextView
                android:id="@+id/tv_two_disagree"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:background="@drawable/bg_common_btn"
                android:gravity="center"
                android:onClick="@{onStepAgreeClickListener}"
                android:text="@string/agreement_consider_it"
                android:textColor="@color/white"
                android:textStyle="bold"
                app:layout_constraintDimensionRatio="110:36"
                app:layout_constraintLeft_toRightOf="@+id/tv_two_agree"
                app:layout_constraintRight_toRightOf="@id/v_two_step_bg"
                app:layout_constraintTop_toTopOf="@+id/tv_two_agree"
                app:layout_constraintWidth_percent="0.3055555555555556" />

            <Space
                android:id="@+id/space_two_4"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="360:24"
                app:layout_constraintTop_toBottomOf="@+id/tv_two_agree" />

        </androidx.constraintlayout.widget.ConstraintLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>